package ruon.jiao;
/**
 * This API is the proprietry of R-U-ON LLC
 * You can embed this API in other applications and freely distribute it.
 * R-U-ON maintains the right to block agents that create an extreme load
 * on the server.
 */

import java.text.MessageFormat;

class Response {
    String data;

    private static String peel(String data, String start, String end) {
        if (data.startsWith(start) && data.endsWith(end)) {
            return data.substring(start.length(), data.length()-end.length());
        } else {
            return null;
        }
    }

    private String peel(String data, String tag) {
        String start = MessageFormat.format("<{0}>", new Object[]{tag});
        String end = MessageFormat.format("</{0}>", new Object[]{tag});
        return peel(data, start, end);
    }

    public Response(String data) throws JIAOException {
        this.data = peel(data, "iaop");
        if (this.data==null) {
            throw new JIAOException("Repsonse is not IAOP compliant", data);
        }
    }

    String error() {
        return peel(this.data, "error");
    }

    String directive() {
        return peel(this.data, "directive");
    }

    public String id() {
        return peel(this.data, "id");
    }

    public String toString() {
        return data;
    }


}
